#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-B07sFWqfNu3EV1R9i9jZAY
key:                  taffybar-4.0.0-B07sFWqfNu3EV1R9i9jZAY
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  df2af33dd05248a625ec850d4022bc1e
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-B07sFWqfNu3EV1R9i9jZAY
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/lzo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-7QCp4KByfL2CXaFpJycxWM
    HStringTemplate-0.8.8-UDdkiOiwYoAroXjG55Wo0
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.0.0-5ETYMP5yJDv8HIyCJXk19C
    ansi-terminal-0.11.3-GZGpqgvj6x93CmdJ94biny base-4.15.1.0
    broadcast-chan-0.2.1.2-1M577pI5kvDIxNoVYTU4wK bytestring-0.10.12.1
    conduit-1.3.4.3-as6wXEArcf72mi1uT6CHr containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-IpTzTE4IHqN9VTPsmSpNRL
    dbus-hslogger-0.1.0.1-Byrz9CrQaQi507MEV47La3 directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-3iIVS3Gj02QFaCMp2vkwN
    enclosed-exceptions-1.0.3-4rgCyWS0u11GLfTGKpHfs9 filepath-1.4.2.1
    gi-cairo-1.0.27-ByBd4bGiIwz2LoTVYLmnPD
    gi-cairo-connector-0.1.1-KXTtdCoRyJGZIGS6mhajo
    gi-cairo-render-0.1.2-5WuBsivXeECFdENzrT1vz6
    gi-gdk-3.0.25-1fGQoOXcwNHIyaF7iWy6Mu
    gi-gdkpixbuf-2.0.29-FfhOzb7tSxg2NVvvJFsCo0
    gi-gdkx11-3.0.12-AUWWKzbnbCi4EDyB81t8Mw
    gi-glib-2.0.27-KgKC55S7y9KIQyR1s0Kyu
    gi-gtk-3.0.38-5J3RvGuK4hKGF2P0BZnp9e
    gi-gtk-hs-0.3.12-Clmasc4x6erFJjt23fL9jN
    gi-pango-1.0.26-9w7ncfqpFaXBneSAaVZXXY
    gtk-sni-tray-0.1.8.1-9jNsmpBhGqIC3CakjeUEXT
    gtk-strut-0.1.3.2-HFjfZ5umYqkHZOqCbMZuEZ
    haskell-gi-0.26.1-6MImoduExW3HoBoul4S0jt
    haskell-gi-base-0.26.1-1Bs3Ozn0LFJ4QSFDMfoWIb
    hslogger-1.3.1.0-9ao2Z31U5ZcIMAQEjXcBxm
    http-client-0.7.13.1-2TpVitYNldtGWDYvrxULLV
    http-client-tls-0.3.6.1-1aLZwrS1IKa10iG0Y8Obqb
    http-conduit-2.3.8-7KrGYOHKmUqIUOntl0qwT6
    http-types-0.12.3-DoPunJnnjKoCLFtTca1XtE
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.2-G0JBGFJfmHtLOCTMYA1m1B
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12-96cxOo27whj8QD0bS0t3RL
    split-0.2.3.5-L1bLVmvZ58j6aPvvR7cSgS
    status-notifier-item-0.3.1.0-4RmoTnsNeHEHfQkAlzWcOr stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-6xdsF5CcQiv7gkUTsxxHr8
    tuple-0.3.0.2-1qPyan1v59sAm1B36c8ly unix-2.7.2.2
    utf8-string-1.0.2-24jmckXC2LF4Ecwdudwee1
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-LwJGGYLRcYZC3u4mstnj3H
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-FqahicQyhNAB15Z5VYNOLv

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

